#pragma once

#include <EGL/egl.h>

struct wl_display;

class WaylandEglInterface
{
public:
    WaylandEglInterface(wl_display* display);

    EGLDisplay getDisplay() const;

    EGLConfig getConfig() const;

    EGLContext getContext() const;

private:
    void initialize(wl_display* display);

    EGLDisplay mEglDisplay;
    EGLConfig mEglConfig;
    EGLContext mEglContext;
};
